Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1374988 - MOM causes Vdsm to slow down, high number of 'vmGetIoTunePolicy' API calls - vdsm
Summary: MOM causes Vdsm to slow down, high number of 'vmGetIoTunePolicy' API calls - ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Bindings-API
Version: 4.18.15
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.0.6
: 4.18.16
Assignee: Jenny Tokar
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On:
Blocks: 1366556
TreeView+ depends on / blocked
 
Reported: 2016-09-11 12:47 UTC by Jenny Tokar
Modified: 2017-02-01 06:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the amount of requests made by the Memory Overcommitment Manager (MOM) was causing high loads on VDSM. With this release, MOM uses just one request (instead one request per virtual machine) to retrieve the ioTune configuration and status, lowering the load imposed on VDSM.
Clone Of:
Environment:
Last Closed: 2017-01-18 07:27:48 UTC
oVirt Team: SLA
rule-engine: ovirt-4.0.z+
mgoldboi: exception+
mgoldboi: planning_ack+
rgolan: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1366556 None None None Never
oVirt gerrit 63748 master POST Add new api to get the IO tune policies for all vms 2016-10-20 12:41:16 UTC
oVirt gerrit 65963 ovirt-4.0.5 POST Add new api to get the IO tune policies for all vms 2016-11-02 10:11:52 UTC
oVirt gerrit 65964 ovirt-4.0 NEW Add new api to get the IO tune policies for all vms 2016-11-03 13:38:45 UTC
oVirt gerrit 65974 master POST Update required mom version and interface 2016-11-03 11:23:42 UTC

Internal Links: 1366556

Description Jenny Tokar 2016-09-11 12:47:24 UTC
MOM is having high performance impact on Vdsm due to high number of calls to vmGetIoTunePolicy API calls.

Comment 1 Jenny Tokar 2016-09-11 12:51:39 UTC
This fix will contain a new vdsm api to get Io tune policies for all vms at the same api call instead of calling vmGetIoTunePolicy for each vm. 
MOM will then be able to use that api and so will reduce the load on vdsm.

Comment 2 Martin Sivák 2016-09-27 15:50:01 UTC
This is the vdsm part of the Io QoS fix and so it should be targeted to the same release.

Comment 3 Yaniv Kaul 2016-10-30 09:18:23 UTC
What's the status here? I see above patch is already merged to master. What about 4.0? Is this going to 4.0.5, or can it be postponed to 4.0.6?

Comment 4 Jenny Tokar 2016-11-03 12:04:00 UTC
I though this was postponed to 4.0.6?
Anyway I can cherrypick it to 4.0.5 if needed.

Comment 5 Martin Sivák 2016-11-03 13:13:25 UTC
It was supposed to be moved to ovirt-4.0.6.. but I see Moran gave it an exception...

Comment 6 Martin Sivák 2016-11-03 13:14:51 UTC
Are we really considering a VDSM rebuild for 4.0.5? I thought the decision was to postpone this.

Comment 7 Shira Maximov 2016-11-29 14:04:30 UTC
verified on :
vdsm-4.18.17-1.el7ev.x86_64

-=>>cat /var/log/vdsm/vdsm.log | grep 'getAllVmIoTunePolicies succeeded' | grep "2016-11-29 13:50" | wc -l 
4

Thread-13::DEBUG::2016-11-29 14:02:54,355::health::97::health::(_check_garbage) Collected 298 objects
Thread-13::DEBUG::2016-11-29 14:02:54,361::health::122::health::(_check_resources) user=10.62%, sys=6.15%, rss=316152 kB (+100), threads=69


Note You need to log in before you can comment on or make changes to this bug.